> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /fotocasa/properties/search

> Search Fotocasa real estate properties by location (city, municipality or neighbourhood) with transaction (comprar/alquiler), property type, an extra feature or situation filter, publisher type, price, surface, room and bathroom filters and ordering. Returns property cards with property and transaction type, price, price per m², surface, rooms, bathrooms, floor, condition, antiquity, orientation, furnished flag, amenity features, description, publication date, flags, address, photos, the property detail url and the listing agency.

**Price:** 20 credits per 31 results

**⚠️ Common errors:** 412: Location could not be resolved



## OpenAPI

````yaml /openapi/real-estate.json post /api/fotocasa/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/fotocasa/properties/search:
    post:
      tags:
        - /fotocasa
      summary: /fotocasa/properties/search
      description: >-
        Search Fotocasa real estate properties by location (city, municipality
        or neighbourhood) with transaction (comprar/alquiler), property type, an
        extra feature or situation filter, publisher type, price, surface, room
        and bathroom filters and ordering. Returns property cards with property
        and transaction type, price, price per m², surface, rooms, bathrooms,
        floor, condition, antiquity, orientation, furnished flag, amenity
        features, description, publication date, flags, address, photos, the
        property detail url and the listing agency.


        **Price:** 20 credits per 31 results


        **⚠️ Common errors:** 412: Location could not be resolved
      operationId: __api_fotocasa_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FotocasaPropertiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FotocasaPropertyCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FotocasaPropertiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        location:
          type: string
          minLength: 1
        transaction:
          $ref: '#/components/schemas/FotocasaTransaction'
          default: comprar
        property_type:
          $ref: '#/components/schemas/FotocasaPropertyType'
          default: viviendas
        feature:
          anyOf:
            - $ref: '#/components/schemas/FotocasaFeature'
            - type: 'null'
        owner:
          $ref: '#/components/schemas/FotocasaOwner'
          default: todos
        sort:
          $ref: '#/components/schemas/FotocasaSort'
          default: relevancia
        min_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_surface:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_surface:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_rooms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_rooms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_bathrooms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        bank_only:
          type: boolean
          default: false
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - location
        - count
    FotocasaPropertyCard:
      properties:
        '@type':
          type: string
          default: FotocasaPropertyCard
        id:
          type: string
        real_estate_ad_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_drop:
          anyOf:
            - type: integer
            - type: 'null'
        price_per_m2:
          anyOf:
            - type: number
            - type: 'null'
        surface:
          anyOf:
            - type: integer
            - type: 'null'
        room_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        floor:
          anyOf:
            - type: integer
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        antiquity:
          anyOf:
            - type: string
            - type: 'null'
        orientation:
          anyOf:
            - type: string
            - type: 'null'
        is_furnished:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new_construction:
          anyOf:
            - type: boolean
            - type: 'null'
        is_occupied:
          anyOf:
            - type: boolean
            - type: 'null'
        is_auctioned:
          anyOf:
            - type: boolean
            - type: 'null'
        is_bare_ownership:
          anyOf:
            - type: boolean
            - type: 'null'
        is_rented_with_tenants:
          anyOf:
            - type: boolean
            - type: 'null'
        is_premium:
          anyOf:
            - type: boolean
            - type: 'null'
        has_video:
          anyOf:
            - type: boolean
            - type: 'null'
        has_virtual_tour:
          anyOf:
            - type: boolean
            - type: 'null'
        has_quality_seal:
          anyOf:
            - type: boolean
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
        address:
          anyOf:
            - $ref: '#/components/schemas/FotocasaAddress'
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        agency:
          anyOf:
            - $ref: '#/components/schemas/FotocasaCardAgency'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FotocasaTransaction:
      type: string
      enum:
        - comprar
        - alquiler
    FotocasaPropertyType:
      type: string
      enum:
        - viviendas
        - pisos
        - apartamentos
        - aticos
        - duplex
        - estudios
        - lofts
        - plantas-intermedias
        - bajos
        - chalets
        - adosados
        - casas-rurales
        - locales
        - oficinas
        - garajes
        - trasteros
        - naves-industriales
        - edificios
        - terrenos
        - terrenos-residenciales
        - terrenos-urbanizables
        - terrenos-industriales
    FotocasaFeature:
      type: string
      enum:
        - obra-nueva
        - terraza
        - ascensor
        - piscina
        - jardin
        - amueblado
        - no-amueblado
        - subasta
        - nuda-propiedad
        - ocupado
        - con-inquilino
        - con-ayudas
        - chimenea
        - vistas-al-mar
        - en-primera-linea-de-mar
        - chollo
        - aisladas
        - lujo
        - modernas
        - campo
        - prefabricadas
        - unifamiliares
        - villa
        - vpo
    FotocasaOwner:
      type: string
      enum:
        - todos
        - particular
    FotocasaSort:
      type: string
      enum:
        - relevancia
        - recientes
        - precio-asc
        - precio-desc
        - superficie-desc
        - superficie-asc
    FotocasaAddress:
      properties:
        '@type':
          type: string
          default: FotocasaAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        street_number:
          anyOf:
            - type: integer
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        municipality:
          anyOf:
            - type: string
            - type: 'null'
        locality:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        province:
          anyOf:
            - type: string
            - type: 'null'
        autonomous_community:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        coordinates:
          anyOf:
            - $ref: '#/components/schemas/FotocasaCoordinates'
            - type: 'null'
      type: object
    FotocasaCardAgency:
      properties:
        '@type':
          type: string
          default: FotocasaCardAgency
        client_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        publisher_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    FotocasaCoordinates:
      properties:
        '@type':
          type: string
          default: FotocasaCoordinates
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````